Skip to main content
GET
/
workspaces
/
{workspace_id}
/
experiments
/
{experiment_id}
Get Experiment
curl --request GET \
  --url https://{regionAndDomain}.com/api/app/workspaces/{workspace_id}/experiments/{experiment_id} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://{regionAndDomain}.com/api/app/workspaces/{workspace_id}/experiments/{experiment_id}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://{regionAndDomain}.com/api/app/workspaces/{workspace_id}/experiments/{experiment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "<string>",
  "results": {
    "id": "<string>",
    "name": "<string>",
    "content_type": "<string>",
    "description": "<string>",
    "created": "<string>",
    "creator_id": 123,
    "creator_name": "<string>",
    "creator_email": "<string>",
    "modified": "<string>",
    "deleted": "<string>",
    "is_favorited": true,
    "pinned_date": "<string>",
    "tags": [
      "<string>"
    ],
    "last_modified_by_id": 123,
    "last_modified_by_name": "<string>",
    "last_modified_by_email": "<string>",
    "can_view": true,
    "can_update_basic": true,
    "can_update_restricted": true,
    "can_update_visibility": true,
    "is_superadmin": true,
    "allow_staff_override": true,
    "can_share": true,
    "is_shared_with_project": true,
    "hypothesis": "<string>",
    "variants": "<array>",
    "metrics": "<array>",
    "settings": {},
    "exposures_cache": {},
    "results_cache": {},
    "start_date": "<string>",
    "end_date": "<string>",
    "feature_flag": {}
  }
}
{
"error": "<string>",
"status": "error"
}
{
"error": "<string>",
"status": "error"
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

workspace_id
integer
required
experiment_id
string
required

Response

Success

status
string
required
Allowed value: "ok"
results
object
required